using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class test_cookie : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
		HttpCookie c = Request.Cookies["compteur"];
		if (c == null)
		{
			c = new HttpCookie("compteur");

			// la valeur du cookie est limitée à 4 Ko par
			// le protocole HTTP
			c.Value = 1.ToString();

			// il y a une date d'expiration, il ne s'agit donc
			// pas d'un cookie session
			c.Expires = DateTime.Now.AddSeconds(45);
		}
		else
		{
			c.Value = (int.Parse(c.Value) + 1).ToString();
			c.Expires = DateTime.Now.AddSeconds(45);
		}
		Response.Cookies.Add(c);

		// utilisation du cookie
		Label1.Text = "Vous avez visité cette page " + c.Value + " fois depuis 45 secondes";
    }
}
